﻿/**
	BalloonButton class
	JDG Communications for Federal Trade Commission
*/

//import com.gaiaframework.debug.*;
import mx.utils.Delegate;
import gs.TweenMax;

import gov.ftc.squaresgame.templates.GenericButton;

class gov.ftc.squaresgame.BalloonButton extends GenericButton {

// CLASS VARIABLES
	public var fill:MovieClip;
	public var stroke:MovieClip;
	public var text:MovieClip;

// CONSTRUCTOR

	public function BalloonButton() {
		super();
	}
	
	private function buttonRollOver():Void {
		super.buttonRollOver();
		if (active && !__gc.buttonHold) TweenMax.to(fill, 0.2, {_alpha: 70});
	}
	
	private function buttonRollOut():Void {
		super.buttonRollOut();
		if (active && !__gc.buttonHold) TweenMax.to(fill, 0.2, {_alpha: 40});
	}
	
	private function buttonRelease():Void {
		super.buttonRelease();
	}
	
	public function blink(p_mode:Boolean):Void {
		if (p_mode) {
			TweenMax.to(stroke, 0.5, {_alpha: 40, yoyo: 0});
		} else {
			TweenMax.killTweensOf(stroke);
			stroke._alpha = 100;
		}
	}
}

