﻿/**
	FunctionDelay class
	JDG Communications for Federal Trade Commission
*/

//import com.gaiaframework.debug.*;

class gov.ftc.core.FunctionDelay
{
//	private static var __intervalList:Object;
//	private static var __fdInited:Boolean;
	
	public function FunctionDelay(scope:Object, functName:String, delay:Number, parms:Object, id:String) {
		if (!_global.__intervalList) {
//			GaiaDebug.log("FunctionDelay creating __intervalList");
			_global.__intervalList = new Object();
//			__fdInited = true;
		}
		var functObject:Object = {s:scope, f:functName, p:parms};
		if (id == undefined) {
			id = new Date().getTime().toString() + Math.random().toString();
		}
		_global.__intervalList[id] = setInterval(execDelayedFunction, delay, [id, functObject]);
	}
	
	public static function callDelayed(scope:Object, functName:String, delay:Number, parms:Object, id:String):FunctionDelay {
//		GaiaDebug.log("FunctionDelay.callDelayed", functName);
		return new FunctionDelay(scope, functName, delay, parms, id);
	}
	
	public static function execDelayedFunction(arg:Object):Void {
//		GaiaDebug.log("FunctionDelay.execDelayedFunction", arg);
		var id:String = arg[0];
		clearInterval(_global.__intervalList[id]);
		delete _global.__intervalList[id];
		var scope:Object = arg[1].s;
		var functName:String = arg[1].f;
		var parms:Array = arg[1].p;
		scope[functName].apply(scope, parms);
	}
	
	public static function killDelayed(id:String):Void {
		clearInterval(_global.__intervalList[id]);
		delete _global.__intervalList[id];
	}
	
	public static function destroy():Void {
		for (var i in _global.__intervalList) {
			clearInterval(_global.__intervalList[i]);
			delete _global.__intervalList[i];
		}
	}
}
